package com.uas.search.console.b2b.model;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;

@Table(name = "SALE$TENDER")
@Entity
public class SaleTenderSimpleInfo {

	@Id
	@Column(name = "st_id")
	private Long id;

	/**
	 * 投标状态
	 */
	@Column(name = "st_status")
	private String status;

	/**
	 * 投标企业信息
	 */
	@OneToOne(cascade = { CascadeType.REFRESH })
	@JoinColumn(name = "st_venduu", insertable = false, updatable = false)
	private EnterpriseSimpleInfo vend;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public EnterpriseSimpleInfo getVend() {
		return vend;
	}

	public void setVend(EnterpriseSimpleInfo vend) {
		this.vend = vend;
	}

	@Override
	public String toString() {
		return "SaleTenderSimpleInfo [id=" + id + ", status=" + status + ", vend=" + vend + "]";
	}

}
